---
lang: en
title: 'API docs: core.islifecycleobserver'
keywords: LoopBack 4.0, LoopBack 4
sidebar: lb4_sidebar
permalink: /doc/en/lb4/apidocs.core.islifecycleobserver.html
---

<!-- Do not edit this file. It is automatically generated by API Documenter. -->

[Home](./index.md) &gt; [@loopback/core](./core.md) &gt; [isLifeCycleObserver](./core.islifecycleobserver.md)

## isLifeCycleObserver() function

Test if an object implements LifeCycleObserver

<b>Signature:</b>

```typescript
export declare function isLifeCycleObserver(obj: object): obj is LifeCycleObserver;
```

## Parameters

|  Parameter | Type | Description |
|  --- | --- | --- |
|  obj | <code>object</code> | An object |

<b>Returns:</b>

`obj is LifeCycleObserver`


